Loading...
Searching...
No Matches
Ogre::ExternalTextureSource Class Referenceabstract
Core » Materials

IMPORTANT: Plugins must override default dictionary name! Base class that texture plugins derive from. More...

`#include <OgreExternalTextureSource.h>`

Inheritance diagram for Ogre::ExternalTextureSource:
[legend]

## Public Member Functions

| ExternalTextureSource ()
| Constructor.
virtual | ~ExternalTextureSource ()
| Virtual destructor.
void | addBaseParams ()
| Call from derived classes to ensure the dictionary is setup.
virtual void | createDefinedTexture (const String &sMaterialName, const String &groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)=0
| Creates a texture into an already defined material or one that is created new (it's up to plugin to use a material or create one) Before calling, ensure that needed params have been defined via the stringInterface or regular methods.
virtual void | destroyAdvancedTexture (const String &sTextureName, const String &groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)=0
| What this destroys is dependent on the plugin... See specific plugin doc to know what is all destroyed (normally, plugins will destroy only what they created, or used directly - ie.
const String & | getDictionaryStringName (void) const
| Returns dictionary name.
int | getFPS () const
| Gets currently set frames per second.
const String & | getInputName () const
| Gets currently set input file name.
eTexturePlayMode | getPlayMode () const
| Gets currently set play mode.
const String & | getPluginStringName (void) const
| Returns the string name of this Plugin (as set by the Plugin).
void | getTextureTecPassStateLevel (int &t, int &p, int &s) const
| Get currently selected Texture attribs.
virtual bool | initialise ()=0
| Call this function from manager to init system.
void | setFPS (int iFPS)
| Sets the frames per second - plugin may or may not use this.
void | setInputName (const String &sIN)
| Sets an input file name - if needed by plugin.
void | setPlayMode (eTexturePlayMode eMode)
| Sets a play mode.
void | setTextureTecPassStateLevel (int t, int p, int s)
| Used for attaching texture to Technique, State, and texture unit layer.
virtual void | shutDown ()=0
| Shuts down Plugin.
Public Member Functions inherited from Ogre::StringInterface
| StringInterface ()
virtual | ~StringInterface ()
| Virtual destructor, see Effective C++.
void | copyParametersTo (StringInterface *dest) const
| Method for copying this object's parameters to another object.
ParamDictionary * | getParamDictionary (void)
| Retrieves the parameter dictionary for this class.
const ParamDictionary * | getParamDictionary (void) const
String | getParameter (const String &name) const
| Generic parameter retrieval method.
const ParameterList & | getParameters (void) const
| Retrieves a list of parameters valid for this object.
bool | setParameter (const String &name, const String &value)
| Generic parameter setting method.
void | setParameterList (const NameValuePairList &paramList)
| Generic multiple parameter setting method.

## Additional Inherited Members

Static Public Member Functions inherited from Ogre::StringInterface
static void | cleanupDictionary ()
| Cleans up the static 'msDictionary' required to reset Ogre, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the ResourceManager implementers (e.g.

## Detailed Description

IMPORTANT: Plugins must override default dictionary name! Base class that texture plugins derive from.

Any specific requirements that the plugin needs to have defined before texture/material creation must be define using the stringinterface before calling create defined texture... or it will fail, though, it is up to the plugin to report errors to the log file, or raise an exception if need be.

## Constructor & Destructor Documentation

## ExternalTextureSource()

Ogre::ExternalTextureSource::ExternalTextureSource | ( |  | ) |

Constructor.

## ~ExternalTextureSource()

virtual Ogre::ExternalTextureSource::~ExternalTextureSource | ( |  | ) |

inline virtual

Virtual destructor.

## Member Function Documentation

## setInputName()

void Ogre::ExternalTextureSource::setInputName | ( | const String & | sIN | ) |

inline

Sets an input file name - if needed by plugin.

## getInputName()

const String & Ogre::ExternalTextureSource::getInputName | ( |  | ) | const

inline

Gets currently set input file name.

## setFPS()

void Ogre::ExternalTextureSource::setFPS | ( | int | iFPS | ) |

inline

Sets the frames per second - plugin may or may not use this.

## getFPS()

int Ogre::ExternalTextureSource::getFPS | ( |  | ) | const

inline

Gets currently set frames per second.

## setPlayMode()

void Ogre::ExternalTextureSource::setPlayMode | ( | eTexturePlayMode | eMode | ) |

inline

Sets a play mode.

## getPlayMode()

eTexturePlayMode Ogre::ExternalTextureSource::getPlayMode | ( |  | ) | const

inline

Gets currently set play mode.

## setTextureTecPassStateLevel()

void Ogre::ExternalTextureSource::setTextureTecPassStateLevel | ( | int | t,
|  | int | p,
|  | int | s )

inline

Used for attaching texture to Technique, State, and texture unit layer.

## getTextureTecPassStateLevel()

void Ogre::ExternalTextureSource::getTextureTecPassStateLevel | ( | int & | t,
|  | int & | p,
|  | int & | s ) const

inline

Get currently selected Texture attribs.

## addBaseParams()

void Ogre::ExternalTextureSource::addBaseParams | ( |  | ) |

Call from derived classes to ensure the dictionary is setup.

## getPluginStringName()

const String & Ogre::ExternalTextureSource::getPluginStringName | ( | void |  | ) | const

inline

Returns the string name of this Plugin (as set by the Plugin).

## getDictionaryStringName()

const String & Ogre::ExternalTextureSource::getDictionaryStringName | ( | void |  | ) | const

inline

Returns dictionary name.

## initialise()

virtual bool Ogre::ExternalTextureSource::initialise | ( |  | ) |

pure virtual

Call this function from manager to init system.

## shutDown()

virtual void Ogre::ExternalTextureSource::shutDown | ( |  | ) |

pure virtual

Shuts down Plugin.

## createDefinedTexture()

virtual void Ogre::ExternalTextureSource::createDefinedTexture | ( | const String & | sMaterialName,
|  | const String & | groupName = ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME )

pure virtual

Creates a texture into an already defined material or one that is created new (it's up to plugin to use a material or create one) Before calling, ensure that needed params have been defined via the stringInterface or regular methods.

References Ogre::ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME.

## destroyAdvancedTexture()

virtual void Ogre::ExternalTextureSource::destroyAdvancedTexture | ( | const String & | sTextureName,
|  | const String & | groupName = ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME )

pure virtual

What this destroys is dependent on the plugin... See specific plugin doc to know what is all destroyed (normally, plugins will destroy only what they created, or used directly - ie.

just texture unit)

References Ogre::ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME.

The documentation for this class was generated from the following file:

- OgreExternalTextureSource.h